Bug 386371 - Crash when save complex html document.
Crash when save complex html document.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 01:55 EST by Hu Zheng
Modified: 2007-12-06 15:51 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.3.0-6.7.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 15:51:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
edit this html file make openoffice crash. (19.18 KB, text/html)
2007-11-16 03:54 EST, Hu Zheng
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 83691 None None None Never

  None (edit)
Description Hu Zheng 2007-11-16 01:55:45 EST
Description of problem:
Crash:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules//drivers/intel_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-33-i386
(V)    kernel is: Linux 2.6.23.1-42.fc8 #1 SMP Tue Oct 30 13:55:12 EDT 2007 i686
i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.3.0-6.6.fc8-i386
(VII)  accessibility is: false
(VIII) fedora release is: Fedora release 8 (Werewolf)
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda7             11671068    462280  10606356   5% /home
/dev/sda6             11258728   5155404   5522176  49% /
...end free space details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x071ab1a9: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x211a9
0x071abc6e: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x21c6e
0x00110420: 0x00000000:  + 0x420 (__kernel_sigreturn + 0x0)
0x046b7045: 0x00b46fa4: /usr/lib/openoffice.org/program/libsw680li.so + 0x4cb045
0x046b7072: 0x00b46fa4: /usr/lib/openoffice.org/program/libsw680li.so + 0x4cb072
0x0436c61f: 0x00b46fa4: /usr/lib/openoffice.org/program/libsw680li.so + 0x18061f
0x0441fbe7: 0x00b46fa4: /usr/lib/openoffice.org/program/libsw680li.so + 0x233be7
0x04454a5e: 0x00b46fa4: /usr/lib/openoffice.org/program/libsw680li.so + 0x268a5e
0x04454b6e: 0x00b46fa4: /usr/lib/openoffice.org/program/libsw680li.so + 0x268b6e
0x0465c5fc: 0x00b46fa4: /usr/lib/openoffice.org/program/libsw680li.so + 0x4705fc
0x0465ff26: 0x00b46fa4: /usr/lib/openoffice.org/program/libsw680li.so + 0x473f26
0x044ca484: 0x00b46fa4: /usr/lib/openoffice.org/program/libsw680li.so + 0x2de484
0x04558a4a: 0x00b46fa4: /usr/lib/openoffice.org/program/libsw680li.so + 0x36ca4a
0x04657b76: 0x00b46fa4: /usr/lib/openoffice.org/program/libsw680li.so + 0x46bb76
(SwFEShell::DeleteCol() + 0x11a)
0x048bbe8e: 0x00b46fa4: /usr/lib/openoffice.org/program/libsw680li.so + 0x6cfe8e
0x0492600b: 0x00b46fa4: /usr/lib/openoffice.org/program/libsw680li.so + 0x73a00b
0x02c56a2b: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1cba2b
0x02c550e8: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1ca0e8
0x02c55497: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so +
0x1ca497 (SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&,
unsigned short) + 0x14d)
0x02c4c467: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1c1467
0x02c6900f: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1de00f
0x02c69ba4: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1deba4
0x04098af3: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x131af3
0x075a0b93: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x91b93
0x0773155e: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x22255e
0x00f092c9: 0x000826bc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x1f2c9
0x00f31e6a: 0x000826bc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x47e6a (SalDisplay::DispatchInternalEvent() + 0x78)
0x00e43679: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x14679
0x00e436a8: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x146a8
0x00b9d541: 0x000c80c4: /lib/libglib-2.0.so.0 + 0x2b541
0x00b9f10c: 0x000c80c4: /lib/libglib-2.0.so.0 + 0x2d10c (g_main_context_dispatch
+ 0x17c)
0x00ba254f: 0x000c80c4: /lib/libglib-2.0.so.0 + 0x3054f
0x00ba2ab5: 0x000c80c4: /lib/libglib-2.0.so.0 + 0x30ab5
(g_main_context_iteration + 0x65)
0x00e434a8: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x144a8
0x00f380bd: 0x000826bc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4e0bd (X11SalInstance::Yield(bool, bool) + 0x2f)
0x075a8ddf: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x99ddf
(Application::Yield(bool) + 0x57)
0x075a8e9d: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x99e9d
(Application::Execute() + 0x2b)
0x030137db: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x247db
(desktop::Desktop::Main() + 0x15fb)
0x075ad933: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9e933
0x075ada49: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9ea49
(SVMain() + 0x2d)
0x0300ce3e: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x1de3e
(main + 0xe2)
0x009cb390: 0x00154d7c: /lib/libc.so.6 + 0x16390 (__libc_start_main + 0xe0)
0x080484e1: 0x000006f8: /usr/lib/openoffice.org/program/swriter.bin + 0x4e1
(main + 0x59)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00170000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00577000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00611000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x0062d000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00649000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00653000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00694000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x00717000)
	libdl.so.2 => /lib/libdl.so.2 (0x0071b000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x00720000)
	librt.so.1 => /lib/librt.so.1 (0x00725000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x0072e000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x0074b000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x0078a000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x007ca000)
	libvclplug_gen680li.so =>
/usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x00893000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x009b3000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0x00d93000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x0091c000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0x00e97000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0x00f35000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so
(0x00fe2000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so
(0x02851000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x02ca1000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x02089000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x0482b000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x07389000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x05dcd000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x00984000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x046bf000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x05921000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x05c13000)
	libm.so.6 => /lib/libm.so.6 (0x0485f000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0456d000)
	libc.so.6 => /lib/libc.so.6 (0x0673f000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x044b7000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x0110e000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x048fb000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x0451f000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x04483000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x01134000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x01c12000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x01c1e000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x01cba000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x01e26000)
	libz.so.1 => /lib/libz.so.1 (0x01c42000)
	/lib/ld-linux.so.2 (0x00996000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x01c5a000)
	libcap.so.1 => /lib/libcap.so.1 (0x01c02000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x0113d000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x01146000)
	libi18nisolang1gcc3.so =>
/usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0x01160000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so
(0x01daa000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0x01167000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0x01296000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3
(0x012cc000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0x012d5000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x01c0a000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x01fd5000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x00994000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x012f4000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x01b3e000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x01310000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb7443000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0x03907000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x01b89000)
...end sample ldd details ...


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2007-11-16 02:48:01 EST
So can you attach a sample document which reproduces this crash ?
Comment 2 Hu Zheng 2007-11-16 03:54:54 EST
Created attachment 260921 [details]
edit this html file make openoffice crash.
Comment 3 Hu Zheng 2007-11-16 03:55:45 EST
Try to use openoffice to edit this html file.
Delete the left side yellow table column, and it will crash.
Comment 4 Caolan McNamara 2007-11-16 05:05:04 EST
Indeed, reproducible, but very non-trivial, moving upstream to work with a wider
group on it.
Comment 5 Caolan McNamara 2007-11-22 08:51:56 EST
Fix found upstream, adding to devel and it will be in the next F-8 update if
there is one.
Comment 6 Fedora Update System 2007-12-06 15:51:00 EST
openoffice.org-2.3.0-6.7.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.